#!/bin/sh
# 
# This file is part of Transformers.
# Copyright (C) 2007  EPITA Research and Development Laboratory.
#
# Transformers is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.


if test $# -ne 3; then
  echo "usage: $0 filename filename"
  exit 1
fi

TOOL="$1"; shift;
FILE1="$1"; shift;
FILE2="$1"; shift;

TMPFILE1=$top_builddir/diff-parse.1
TMPFILE2=$top_builddir/diff-parse.2

$TOOL -i $FILE1 -o $TMPFILE1 $@
$TOOL -i $FILE2 -o $TMPFILE2 $@

if diff $TMPFILE1 $TMPFILE2 >/dev/null 2>/dev/null; then
  true
else
  rm $TMPFILE1 $TMPFILE2
  exit 1
fi
rm $TMPFILE1 $TMPFILE2
